hsm.c File Reference
`#include "daemon/engine.h"`
`#include "hsm.h"`
`#include "log.h"`
`#include "cryptoki_compat/pkcs11.h"`

Go to the source code of this file.

## Functions

ods_status | lhsm_get_key (hsm_ctx_t *ctx, ldns_rdf *owner, key_type *key_id, int skip_hsm_access)
ldns_rr * | lhsm_sign (hsm_ctx_t *ctx, ldns_rr_list *rrset, key_type *key_id, ldns_rdf *owner, time_t inception, time_t expiration)

## Function Documentation

## lhsm_get_key()

ods_status lhsm_get_key | ( | hsm_ctx_t * | ctx,
|  | ldns_rdf * | owner,
|  | key_type * | key_id,
|  | int | skip_hsm_access
| ) |  |

Get key from one of the HSMs.

Definition at line 81 of file hsm.c.

References key_struct::algorithm, key_struct::dnskey, key_struct::flags, key_struct::locator, and key_struct::params.

Referenced by zone_prepare_keys(), and zone_publish_dnskeys().

## lhsm_sign()

ldns_rr * lhsm_sign | ( | hsm_ctx_t * | ctx,
|  | ldns_rr_list * | rrset,
|  | key_type * | key_id,
|  | ldns_rdf * | owner,
|  | time_t | inception,
|  | time_t | expiration
| ) |  |

Get RRSIG from one of the HSMs, given a RRset and a key.

Definition at line 138 of file hsm.c.

References key_struct::algorithm, key_struct::dnskey, key_struct::flags, key_struct::locator, and key_struct::params.

Referenced by rrset_sign().